## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

DELETE

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/labels

/{id}

### cURL

```bash
DELETE https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
```

### Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node

```javascript
var labelUrl =
  "https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc";

dwolla.delete(labelUrl);
```

### Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python

```python
label_url = 'https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc'

app_token.delete(label_url)
```

### Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php

```php
$labelsApi = new DwollaSwagger\LabelsApi($apiClient);
$labelsApi->removeLabel('https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc');
```

### Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby

```ruby
label_url = 'https://api-sandbox.dwolla.com/labels/30165ded-2f32-4ee9-b340-ac44dda1d7fc'

app_token.delete label_url
```

### Responses

200

403

404

#### Successful Operation

```json
{
  "_links": {},
  "id": "7e042ffe-e25e-40d2-b86e-748b98845ecc",
  "created": "2022-05-15T22:19:09.635Z",
  "amount": {
    "value": "10.00",
    "currency": "USD"
  }
}
```

#### Error Responses

**Invalid Resource State**
```json
{
  "code": "InvalidResourceState",
  "message": "Amount must be zero to remove label."
}
```

**Resource Not Found**
```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

### Authorizations

#### Authorization

- **Type:** string
- **Location:** header
- **Required:** Yes
- **Description:** The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

#### Accept

- **Type:** enum<string>
- **Default:** application/vnd.dwolla.v1.hal+json
- **Required:** Yes
- **Description:** The media type of the response. Must be application/vnd.dwolla.v1.hal+json

### Path Parameters

#### id

- **Type:** string
- **Required:** Yes
- **Description:** A label unique identifier

### Response Formats

- **200**: application/vnd.dwolla.v1.hal+json - successful operation
